Download it now!
Bug 109305 - The column attribute style:rel-column-width is wrongly read
Summary: The column attribute style:rel-column-width is wrongly read
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: http://docs.oasis-open.org/office/v1....
Whiteboard:
Keywords: filter:odt
Depends on:
Blocks: ODF-import
  Show dependency treegraph
 
Reported: 2017-07-24 10:28 UTC by Regina Henschel
Modified: 2019-11-07 03:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Relative column width example (8.42 KB, application/vnd.oasis.opendocument.text)
2017-07-24 10:28 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-07-24 10:28:54 UTC
Created attachment 134813 [details]
Relative column width example

Section "20.330 style:rel-column-width" in the ODF spec describes how to calculate the actual column width this way:
"If rc is the relative with of the column, rs the sum of all relative columns widths, and ws the absolute width that is available for these columns the absolute width wc of the column is wc=rc ws/rs."

The attached document has a table of total width 11cm. The column C has a fixed with of 5cm. Column A and B have the relative width 1* and column D the relative width 2*. With this values I get:
ws = 11cm-5cm=6cm
rs = 4
Therefore the calculated absolute widths should be:
column A width 1*6cm/4 = 1.5cm
column B width 1*6cm/4 = 1.5cm
column C width 5cm (fixed)
column D width 2*6cm/4 = 3cm

But the widths by LibreOffice are
Column A width 2cm
Column B width 1.33cm
Column C width 5cm
Column D width 2.67cm
Comment 1 Yousuf Philips (jay) (retired) 2017-07-24 11:50:19 UTC
Opens correctly in Calligra Words 2.9.7, but not in LO master or Word 2013.

Version: 6.0.0.0.alpha0+
Build ID: 888f3f18cf42ca08f55a5e4826b4298f391e14aa
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 2 QA Administrators 2018-07-25 02:39:19 UTC Comment hidden (obsolete)
Comment 3 Regina Henschel 2018-11-06 13:05:56 UTC
The error is still in Version: 6.2.0.0.alpha1+ (x64)
Build ID: f825e6d4082c0d0beb1c95b881f6a2ee9bfc9161
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-05_00:20:26
Locale: de-DE (en_US); Calc: CL
Comment 4 QA Administrators 2019-11-07 03:35:19 UTC
Dear Regina Henschel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug